/*
 * Somador
 *
 * ---- Multiplas linhas ----
 *
 * API version: 1.0.0
 * Contact: victorgvbh@gmail.com
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

 package openapi

 import (
	 "net/http"
	 "strconv"
	 "github.com/gin-gonic/gin"
 )
 
 // AddOperation - Operação de soma
 func AddOperation(c *gin.Context) {
	 values, success := c.GetQueryArray("values")
	 var sum int32 = 0
	 if success == true {
		 for _, v := range values {
			 value, err := strconv.ParseInt(v,10,32)
			 if err != nil {
				 panic(err)
			 }
			 sum += int32(value)
		 }
		 c.JSON(http.StatusOK, sum)
 
	 }
 }
 